import 'package:json_annotation/json_annotation.dart';

import '../../../api_params.dart';

part 'send_message_params.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: false)
class SendMessageParams extends ApiParams {
  String message;
  String? replyTo;

  SendMessageParams(this.message, {this.replyTo});

  factory SendMessageParams.fromJson(Map<String, dynamic> json) =>
      _$SendMessageParamsFromJson(json);
  Map<String, dynamic> toJson() => _$SendMessageParamsToJson(this);
}
